% fig_09_31b
% plot Cartesian stress components near the mode-II crack tip
% Lawn and  Wilshaw (1975)
% equations (9.73)

clear all, clf reset; % clear memory and figures
x=-0.031:0.002:0.031;
y=-0.031:0.002:0.031;
[X,Y]=meshgrid(x,y);
[TH,R]=cart2pol(X,Y);
ST2=sin(TH/2); S3T2=sin(3*TH/2); CT2=cos(TH/2); C3T2=cos(3*TH/2);
R2P=sqrt(2*pi*R);
SXX=((-ST2).*(2+CT2.*C3T2))./R2P;
SYY=(ST2.*CT2.*cos(3*TH/2))./R2P;
SXY=(CT2.*(1-ST2.*S3T2))./R2P;

contourf(X,Y,SXX,10), colorbar
title('stress sxx'), xlabel('x-axis'), ylabel('y-axis')
figure, contourf(X,Y,SYY,10), colorbar
title('stress syy'), xlabel('x-axis'), ylabel('y-axis')
figure, contourf(X,Y,SXY,10), colorbar
title('stress sxy'), xlabel('x-axis'), ylabel('y-axis')

% figure, surf(X,Y,SXX)
% xlabel('x-axis'), ylabel('y-axis'), zlabel('stress sxx')
% figure, surf(X,Y,SYY)
% xlabel('x-axis'), ylabel('y-axis'), zlabel('stress syy')
% figure, surf(X,Y,SXY)
% xlabel('x-axis'), ylabel('y-axis'), zlabel('stress sxy')