% fig_09_31c
% plot Cartesian stress components near the mode-III crack tip
% Lawn and  Wilshaw (1975)
% equation (9.74)

clear all, clf reset; % clear memory and figures
x=-0.031:0.002:0.031;
y=-0.031:0.002:0.031;
[X,Y]=meshgrid(x,y);
[TH,R]=cart2pol(X,Y);
R2P=sqrt(2*pi*R);
SXZ=(-sin(TH/2))./R2P;
SYZ=(cos(TH/2))./R2P;

contourf(X,Y,SXZ,10), colorbar
title('stress sxz'), xlabel('x-axis'), ylabel('y-axis')
figure, contourf(X,Y,SYZ,10), colorbar
title('stress syz'), xlabel('x-axis'), ylabel('y-axis')

% figure, surf(X,Y,SXZ)
% xlabel('x-axis'), ylabel('y-axis'), zlabel('stress sxz')
% figure, surf(X,Y,SYZ)
% xlabel('x-axis'), ylabel('y-axis'), zlabel('stress syz')